GNUNET-RSA(1)

NAME
gnunet-rsa - manipulate GNUnet RSA key files

SYNOPSIS
gnunet-rsa [options]FILENAME

DESCRIPTION
gnunet-rsa can be used to create an RSA private key and to print the corresponding public key. You must specify a filename containing an RSA private key in GNUnet format as an argument. If the file does not exist, gnunet-rsa will create a key. This may then take a while. If the option -p is given, the corresponding public key will be printed to the console.

OPTIONS

-p, --print-public-key
    Print the corresponding public key to stdout.

-P, --print-peer-identity
    Print the corresponding peer identity (hash of the public key) to stdout. This hash is used for the name of peers.

-s, --print-short-identity
    Print the corresponding short hash (256-bit hash of the public key) to stdout. This hash is used for names in the zkey zone.

-c FILENAME,  --config=FILENAME
    Use the configuration file FILENAME.

-h, --help
    Print short help on options.

-L LOGLEVEL, --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v, --version
    Print GNUnet version number.

BUGS
Report bugs by using Mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>